Last Comment Bug 444532 - Select 'Convert to->Task/event' in the preview pane in mailmode causes an uncaught exception
: Select 'Convert to->Task/event' in the preview pane in mailmode causes an unc...
Status: VERIFIED FIXED
:
Product: Calendar
Classification: Client Software
Component: Lightning Only (show other bugs)
: unspecified
: All All
: -- normal (vote)
: 0.9
Assigned To: Philipp Kewisch [:Fallen]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 01:15 PDT by Andreas Treumann
Modified: 2008-08-18 00:02 PDT (History)
1 user (show)
dbo.moz: blocking‑calendar0.9+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (2.17 KB, patch)
2008-08-08 20:45 PDT, Philipp Kewisch [:Fallen]
no flags Details | Diff | Splinter Review
Fix - v1.1 (2.19 KB, patch)
2008-08-08 20:54 PDT, Philipp Kewisch [:Fallen]
dbo.moz: review-
Details | Diff | Splinter Review
Fix - v2 (2.19 KB, patch)
2008-08-11 16:06 PDT, Philipp Kewisch [:Fallen]
dbo.moz: review+
Details | Diff | Splinter Review

Description Andreas Treumann 2008-07-10 01:15:35 PDT
STEPS TO REPRODUCE:
===================

- go to the mailmode
- don't select anything
- open the context menu and select 'Convert to -> Event/Task'

RESULT:
=======

- error console shows:

Error: uncaught exception: [Exception... "Component returned failure code: 0x80004003 (NS_ERROR_INVALID_POINTER) [nsIMessenger.msgHdrFromURI]"  nsresult: "0x80004003 (NS_ERROR_INVALID_POINTER)"  location: "JS frame :: chrome://messenger/content/messenger.xul :: oncommand :: line 1"  data: no] 

EXPECTED RESULT:
================

- no error console output
REPRODUCIBLE:
=============

- always
Comment 1 Andreas Treumann 2008-07-10 01:18:27 PDT
for a better reproducibility:

step 3 of the STR should be:

- open the context menu in the preview pane and select 'Convert to -> Event/Task'

Comment 2 Andreas Treumann 2008-07-10 01:21:12 PDT
for a better reproducibility:

step 3 of the STR should be:

- open the context menu in the preview pane and select 'Convert to -> Event/Task'

Comment 3 Philipp Kewisch [:Fallen] 2008-08-08 20:45:33 PDT
Created attachment 333061 [details] [diff] [review]
Fix - v1
Comment 4 Philipp Kewisch [:Fallen] 2008-08-08 20:54:12 PDT
Created attachment 333062 [details] [diff] [review]
Fix - v1.1
Comment 5 Daniel Boelzle [:dbo] 2008-08-11 05:14:08 PDT
Comment on attachment 333062 [details] [diff] [review]
Fix - v1.1

This disables the "Convert To" menu item. I'd rather think we should remove the menu item in those cases like any other mail-content menu items disappear, too.
Comment 6 Philipp Kewisch [:Fallen] 2008-08-11 16:06:07 PDT
Created attachment 333304 [details] [diff] [review]
Fix - v2

While I agree with the message pane, I don't with the thread pane. In the thread pane, the items are disabled, in the message pane they are gone.
Comment 7 Daniel Boelzle [:dbo] 2008-08-13 01:47:24 PDT
Comment on attachment 333304 [details] [diff] [review]
Fix - v2

works fine, looks good; r=dbo
Comment 8 Daniel Boelzle [:dbo] 2008-08-15 05:44:35 PDT
Checked in on HEAD and MOZILLA_1_8_BRANCH => FIXED.
Comment 9 Andreas Treumann 2008-08-18 00:02:40 PDT
Checked in lightning 2008081803 -> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.